How to get Simple Password Safe

Navigation: »No topics above this level«

How to get Simple Password Safe

 Return to chapter overview

Simple Password Safe is free for commercial use. Simple Password Safe can be downloaded for Software Verify's website at https://www.softwareverify.com.

This help manual is available in Compiled HTML Help (Windows Help files), PDF, and online.

Windows Help | https://www.softwareverify.com/documentation/chm/simplePasswordSafe.chm
PDF | https://www.softwareverify.com/documentation/pdfs/simplePasswordSafe.pdf
Online | https://www.softwareverify.com/documentation/html/simplePasswordSafe/index.html

Whilst Simple Password Safe is free for commercial use, Simple Password Safe is copyrighted software and is not in the public domain. You are free to use the software at your own risk. You are not allowed to distribute the software in any form, or to sell the software, or to host the software on a website.

Contact Software Verify at:

Software Verify Limited

Suffolk Business Park

Eldo House

Kempson Way

Bury Saint Edmunds

IP32 7AR

United Kingdom

email | sales@softwareverify.com
web | https://www.softwareverify.com
blog | https://www.softwareverify.com/blog
twitter | http://twitter.com/softwareverify

Visit our blog to read our articles on debugging techniques and tools.

Follow us on twitter to keep track of the latest software tools and updates.


What does Simple Password Safe do?

Navigation: »No topics above this level«

What does Simple Password Safe do?

 Return to chapter overview

Simple Password Safe allows you to easily manage passwords for all your accounts.

Just start the software, create a strong master password then start adding your account details.

Who is this software for?

This software is intended to be so easy to use that you can use this software even if you think of yourself as someone that doesn't know how to use computers very well.

That said, if you're a power user there are options that provide you with more control if you want it, allowing you to create and manage multiple password safes, each with their own master password.

Where is the password safe stored?

The default password safe is stored in <windows drive>\users\<user name>\AppData\local\SoftwareVerify\SimplePasswordSafe\default.pws

For example: c:\users\david\AppData\local\SoftwareVerify\SimplePasswordSafe\default.pws

Can I create and use more than one password safe?

Yes.

You can create as many password safes as you want.

Each password safe can be stored where you want to store it on disk, on a network share, a USB key, an external hard drive. The choice is yours.

Each password safe has it's own master password.

How is the account and password information kept safe?

The data for each account is encrypted using Microsoft's Data Protection API using the master password for additional entropy when encrypting the data.

A detailed description of this process is provided by Microsoft.

·It uses proven cryptographic routines, such as the strong Triple-DES algorithm in CBC mode, the strong SHA-1 algorithm, and the PBKDF2 password-based key derivation routine.

·It uses proven cryptographic constructs to protect data. All critical data is cryptographically integrity protected, and secret data is wrapped by using standard methods.

·It uses large secret sizes to greatly reduce the possibility of brute-force attacks to compromise the secrets.

·It uses PBKDF2 with 4000 iterations to increase the work factor of an adversary trying to compromise the password.

·It sanity checks MasterKey expiration dates.

·It protects all required network communication with Domain Controllers by using mutually authenticated and privacy protected RPC channels.

·It minimizes the risk of exposing any secrets, by never writing them to disk and minimizing their exposure in swappable RAM.

·It requires Administrator privileges to make any modifications to the DPAPI parameters in the registry.

·It uses Windows File Protection to help protect all critical DLLs from online changes even by processes with Administrator privileges.


The user interface

Navigation: »No topics above this level«

The user interface

 Return to chapter overview

The Simple Password Safe user interface very simple.

A menu is provided to allow you to edit the settings, view the help and to exit the program.

There is a large button which will start or stop the backing up process.

A settings dialog is provided to allow you to customize which files are backed up or ignored.

Support for identifying external backup devices is provided so that we can warn you when a different backup device is connected compared to the last time you made a backup.


Menu

Navigation: The user interface >

Menu

 Return to chapter overview

The main menu contains six menus, File, Password Safe, Edit, Settings, Software Updates and Help.


File

Navigation: The user interface > Menu >

File

 Return to chapter overview

The File menu

File instructionStep Exit

Saves any changes to the current password safe then closes Simple Password Safe.


Password Safe

Simple Password Safe

Navigation: The user interface > Menu >

Simple Password Safe

 Return to chapter overview

The Password Safe menu contains password safe management options that provide great power over the password safe databases.

Because it's possible to damage password safes with these options we put them on a secondary Tools menu so that they couldn't get triggered by accident.

The options are in three groups:

1.Opening and closing password safes.

2.Creating password safes and saving password safes in a location of your choice.

3.Rebuilding the default password safe.

File instructionStep Close

Close any password safe that you are working with.

File instructionStep Open Default Simple Password Safe

Use this option to open the default password safe.

The master password dialog is displayed for you to enter the password that unlocks the default password safe.

File instructionStep Open Simple Password Safe...

Use this option to open a password safe that you previously saved using Save Simple Password Safe As....

Once you've chosen the password safe to open the master password dialog is displayed for you to enter the password that unlocks the password safe.

File instructionStep Create a New Simple Password Safe...

Create a new password safe without overwriting the default password safe.

The Create Simple Password Safe dialog is displayed.

File instructionStep Save Simple Password Safe As...

Use this option to save a password safe in a location of your choice.

File instructionStep Rebuild Default Simple Password Safe...

Use this option if you need to set the default password safe to known state.

All data in the default password safe will be destroyed.

Before you can use this option you have to confirm that you want to do this action.

After confirming that you want to rebuild the default password safe you will be prompted for a master password to protect the default password safe.


Edit

Navigation: The user interface > Menu >

Edit

 Return to chapter overview

The Edit menu allows you to manage all the passwords in the password safe.

Edit instructionStep View Password...

View the details for this account.

Edit instructionStep Edit Password...

Edit the details for this account.

A dialog is displayed to allow you edit all the details for this account.

Edit instructionStep Add Password...

Create a new account.

A dialog is displayed to allow you enter all the details for this account.

Edit instructionStep Delete

Delete the selected password.

The password is deleted without confirmation.

Edit instructionStep Delete All

Delete all passwords.

You will be asked to confirm that you want to delete all passwords.


Settings

Navigation: The user interface > Menu >

Settings

 Return to chapter overview

The Settings menu controls editing of the settings controlling Simple Password Safe

Settings instructionStep Edit Settings...

Displays the settings dialog so that you can edit the current settings.

Settings instructionStep First-Run Wizard...

Displays the First-Run Wizard so that you can configure the settings as if you'd never run the software before.


Software Updates

Navigation: The user interface > Menu >

Software Updates

 Return to chapter overview

The Software Updates menu controls how often software updates are downloaded.

If you've been notified of a new software release to Simple Password Safe or just want to see if there's a new version, this feature makes it easy to update.

menu Software Updates menu instructionStep Check for software updates instructionStep checks for updates and shows the software update dialog if any exist

An internet connection is needed to be able to make contact with our servers.

note Before updating the software, close the help manual, and end any active session by closing target programs.

If no updates are available, you'll just see this message:

Software Update dialog

If a software update is available for Simple Password Safe you'll see the software update dialog.

·Download and install instructionStep downloads the update, showing progress

Once the update has downloaded, Simple Password Safe will close, run the installer, and restart.

You can stop the download at any time, if necessary.

·Don't download... instructionStep Doesn't download, but you'll be prompted for it again next time you start Simple Password Safe

·Skip this version... instructionStep Doesn't download the update and doesn't bother you again until there's an even newer update

·Software update options... instructionStep edit the software update schedule

Problems downloading or installing?

If for whatever reason, automatic download and installation fails to complete:

·Download the latest installer manually from the software verify website.

Make some checks for possible scenarios where files may be locked by Simple Password Safe as follows:

·Ensure Simple Password Safe and its help manual is also closed

·Ensure any error dialogs from the previous installation are closed

You should now be ready to run the new version.

Software update schedule

Simple Password Safe can automatically check to see if a new version of Simple Password Safe is available for downloading.

menu Software Updates menu instructionStep Configure software updates instructionStep shows the software update schedule dialog

The update options are:

·never check for updates

·check daily (the default)

·check weekly

·check monthly

The most recent check for updates is shown at the bottom.

Software update directory

It’s important to be able to specify where software updates are downloaded to because of potential security risks that may arise from allowing the TMP directory to be executable. For example, to counteract security threats it's possible that account ownership permissions or antivirus software blocks program execution directly from the TMP directory.

The TMP directory is the default location but if for whatever reason you're not comfortable with that, you can specify your preferred download directory. This allows you to set permissions for TMP to deny execute privileges if you wish.

menu Software Updates menu instructionStep Set software update directory instructionStep shows the Software update download directory dialog

An invalid directory will show the path in red and will not be accepted until a valid folder is entered.

Example reasons for invalid directories include:

·the directory doesn't exist

·the directory doesn't have write privilege (update can't be downloaded)

·the directory doesn't have execute privilege (downloaded update can't be run)

note When modifying the download directory, you should ensure the directory will continue to be valid. Updates may no longer occur if the download location is later invalidated.

·Reset instructionStep reverts the download location to the user's TMP directory

The default location is c:\users\[username]\AppData\Local\Temp


Help

Navigation: The user interface > Menu >

Help

 Return to chapter overview

The Help menu controls displaying this help document and displaying information about Simple Password Safe.

Help menu instructionStep About Simple Password Safe... instructionStep displays information about Simple Password Safe.

Help menu instructionStep Readme and Version History... instructionStep displays the readme and version history.

Help menu instructionStep Help Topics... instructionStep displays this help file.

Help menu instructionStep Help PDF... instructionStep displays this help file in PDF format.

Help menu instructionStep Help on softwareverify.com... instructionStep display the Software Verify documentation web page where you can view online documentation or download compiled HTML Help and PDF help documents.

Help menu instructionStep Blog... instructionStep display the Software Verify blog.

Help menu instructionStep Contact customer support... instructionStep displays the options for contacting customer support.

Click a link to contact customer support.


Main User Interface

Navigation: The user interface >

Main User Interface

 Return to chapter overview

The Simple Password Safe user interface very simple.

There is a large button which will start or stop the backing up process.

A settings dialog is provided to allow you to customize which files are backed up or ignored.

Support for identifying external backup devices is provided so that we can warn you when a different backup device is connected compared to the last time you made a backup.

·Start Backing up Files instructionStep starts the backup process.

If you've never configured Simple Password Safe you are prompted to do this first.

·Stop Backup instructionStep stops the backup process.

A dialog is displayed that shows which files were backed up and which files couldn't be backed up.


Create password safe

Navigation: The user interface >

Create password safe

 Return to chapter overview

This dialog helps you to create a secure master password that will be used to protect all your data.

View instructionStep show the password. The button text changes to Hide.

Hide instructionStep hide the password. The button text changes to View.

Type your password into the Master Password field.

As you type your password the indicator text will show different values indicating how good the password is. Very Weak, Weak, Good, Strong, Very Strong.

When you've created a strong or very strong password click OK.

Don't forget this password - if you do you'll be locked out of all the password details stored in this password safe.


Master password

Navigation: The user interface >

Master password

 Return to chapter overview

The Master Password dialog informs you which password safe is being opened and asks you for the master password to open that password safe.

View instructionStep show the password. The button text changes to Hide.

Hide instructionStep hide the password. The button text changes to View.

Enter the master password and click OK.

Correct master password

If the master password is correct the password safe will be loaded.

Incorrect master password

If the master password is not correct an error message will be displayed.

You can attempt to load the default password safe from the Simple Password Safe instructionStep Open Default Simple Password Safe.. menu.

You can attempt to load the any password safe from the Simple Password Safe instructionStep Open Simple Password Safe.. menu.


Settings dialog

Navigation: »No topics above this level«

Settings dialog

 Return to chapter overview

The settings dialog allows you to configure how Simple Password Safe behaves.


Default Password Safe

Default Simple Password Safe

Navigation: Settings dialog >

Default Simple Password Safe

 Return to chapter overview

The Default Simple Password Safe settings allow you to configure where the default password safe is located and it's filename.

·Default Simple Password Safe location instructionStep specify the default password safe location

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.


Auto Load

Navigation: Settings dialog >

Auto Load

 Return to chapter overview

The Auto Load settings allow you to configure which password safe is automatically loaded when Simple Password Safe starts.

·Load the default password safe... instructionStep the default password safe will be loaded when Simple Password Safe starts

·Load the most recently used... instructionStep the most recently used password safe will be loaded when Simple Password Safe starts

·Load this password safe when... instructionStep the specified password safe will be loaded when Simple Password Safe starts

oBrowse... instructionStep choose a password safe to load

·Don't load passwords when... instructionStep a password safe will not be loaded when Simple Password Safe starts

Reset All

Resets the options on all pages of the settings dialog to the default.

Reset

Resets just the options on this page of the settings dialog to the default.